# Created by pyp2rpm-3.3.5
%global pypi_name milc
%global github_name milc
%global github_user clueboard

Name:           python-%{pypi_name}
Version:        1.6.5
Release:        1%{?dist}.3
Summary:        Opinionated Batteries-Included Python 3 CLI Framework

License:        MIT
URL:            https://milc.clueboard.co/
Source0:        https://github.com/%{github_user}/%{github_name}/archive/%{version}/%{github_name}-%{version}.tar.gz
Patch0:         python-milc-fix_test.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(appdirs)
BuildRequires:  python3dist(argcomplete)
BuildRequires:  python3dist(colorama)
BuildRequires:  python3dist(halo)
BuildRequires:  python3dist(spinners)
BuildRequires:  python3dist(semver)
BuildRequires:  python3dist(nose2)

%description
MILC is a framework for writing CLI applications in Python 3.
It gives you all the features users expect from a modern CLI tool
out of the box:
* CLI Argument Parsing, with or without subcommands
* Automatic tab-completion support through argcomplete]
* Configuration file which can be overridden by CLI options
* ANSI color support- even on Windows- with colorama
* Logging to stderr and/or a file, with ANSI colors
* Easy method for printing to stdout with ANSI colors
* Labeling log output with colored emoji to easily distinguish message types
* Thread safety


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(appdirs)
Requires:       python3dist(argcomplete)
Requires:       python3dist(colorama)
Requires:       python3dist(halo)
Requires:       python3dist(spinners)
%description -n python3-%{pypi_name}
MILC is a framework for writing CLI applications in Python 3.
It gives you all the features users expect from a modern CLI tool
out of the box:
* CLI Argument Parsing, with or without subcommands
* Automatic tab-completion support through argcomplete]
* Configuration file which can be overridden by CLI options
* ANSI color support- even on Windows- with colorama
* Logging to stderr and/or a file, with ANSI colors
* Easy method for printing to stdout with ANSI colors
* Labeling log output with colored emoji to easily distinguish message types
* Thread safety


%package -n milc-color
Summary:        %{summary} (command line utility)
Requires:       python3-%{pypi_name}

%description -n milc-color
MILC is a framework for writing CLI applications in Python 3.
This package contains command line utility that
shows all the colors available to us.


%prep
%autosetup -n %{pypi_name}-%{version} -p1
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{_bindir}/nose2

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%files -n milc-color
%license LICENSE
%doc README.md
%{_bindir}/milc-color
%changelog
* Mon Jan 17 2022 Oleg Girko <ol@infoserver.lv> - 1.6.5-1
- Update to 1.6.5.
- Fix patch to fix tests.
* Sun Mar 14 2021 Oleg Girko <ol@infoserver.lv> - 1.3.0-1
- Update to 1.3.0.
* Sun Mar 14 2021 Oleg Girko <ol@infoserver.lv> - 1.1.0-2
- Fix BuildRequires: remove ones that are specific to Python minor version.
* Sun Mar 14 2021 Oleg Girko <ol@infoserver.lv> - 1.1.0-1
- Initial package.
